PUT /platform/v1/ens-callbacks

Overview 

Updates a registered callback. It can take up to two minutes for callback changes to become active.

JSON Parameters 

NameTypeDescription
callbackNamestringRequiredName of the callback.
callbackIdstringRequiredUnique identifier of the callback.
maxBatchSizeintegerMust be at least 100 and no more than 1,000. Default is 1,000.

Usage 

Example Request 

1Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
2PUT /platform/v1/ens-callbacks
3Content-Type: application/json
4Authorization: Bearer YOUR_ACCESS_TOKEN
5
6[{
7  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
8  "callbackName": "cb1",
9  "maxBatchSize": 1000
10}]

Example Response 

1HTTP/1.1 200 OK
2[{
3  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
4  "callbackName": "cb1",
5  "url": "https://example.com/",
6  "maxBatchSize": 1000
7}]

HTTP Responses 

ResponseReason
200 OKCallback is updated. Review example response.
201 CreatedCallback is new. Response includes callbackId, callbackName, url, and maxBatchSize.
304 No ChangeCallback already exists on the server.
400 Bad RequestUnable to process the request.
403 ForbiddenFailed to pass authorization.
404 Not FoundCallback ID doesn’t exist for this MID.
500 Server ErrorInternal error

See Also